Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class BackingContext

    java.lang.Object
      ControlContext
          com.bea.netuix.servlets.controls.BackingContext

Direct Known Subclasses:
  DesktopBackingContext, FooterBackingContext, HeaderBackingContext, MenuBackingContext, WindowBackingContext

    public abstract class BackingContext

extends ControlContext

Context base class for `controls` that support a backing file. The control framework provides instances of subclasses of `BackingContext` during actions and in backing files.

Method Summary
`protected void` | `ensureCurrentLifecycleStageLegalForOperation(String operation, LifecycleStageFilter filter)`
`List` | `getChildrenBackingContexts()` Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls.
`BackingContext` | `getParentBackingContext()` Returns the `BackingContext` of the first ancestor that has one.
`BackingContext` | `getTopParentBackingContext()` Returns the `BackingContext` of the upper most BackableControl in the tree.
`boolean` | `isBackingPhase()` Returns whether or not this is in the backing phase.
`boolean` | `isVisible()` Returns the value of the underlying control's `visible` attribute.
`protected void` | `setBackingPhase(boolean backingPhase)` Sets whether or not this is in the backing phase.
`void` | `setVisible(boolean visible)` Set the visible flag on the underlying control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isVisible

    public boolean isVisible()

  Returns the value of the underlying control's `visible` attribute.

  Returns
    a boolean, the value of the underlying control's `visible` attribute.

### setVisible

    public void setVisible(boolean visible)

  Set the visible flag on the underlying control. If the flag is set to true, the control will not be rendered. It will still run in the handlePostbackData and preRender lifecycles.

  Parameters
    `visible` -

### getParentBackingContext

    public BackingContext getParentBackingContext()

  Returns the `BackingContext` of the first ancestor that has one.

  Returns
    the BackingContext of the first ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### getTopParentBackingContext

    public BackingContext getTopParentBackingContext()

  Returns the `BackingContext` of the upper most BackableControl in the tree.

  Returns
    the BackingContext of the upper most ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### getChildrenBackingContexts

    public List getChildrenBackingContexts()

  Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls. Note that this method returns `BackingContexts` belonging to the immediate children only; in other words it is not a "deep" list of the children.

  Returns
    `List` of `BackingContext`

### isBackingPhase

    public boolean isBackingPhase()

  Returns whether or not this is in the backing phase. This method returns true during every lifecycle except `render`.

  Returns
    return true if we are in the backing phase of the lifecycle.

### setBackingPhase

    protected void setBackingPhase(boolean backingPhase)

  Sets whether or not this is in the backing phase.

  Parameters
    `backingPhase` -

### ensureCurrentLifecycleStageLegalForOperation

    protected final void ensureCurrentLifecycleStageLegalForOperation(String operation,
                                                                      LifecycleStageFilter filter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved